Bug 98222 - port update comms/hylafax to 4.3.0
port update comms/hylafax to 4.3.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 16:20 UTC by W.J.Zwart
Modified: 2006-10-07 14:40 UTC (History)
0 users

See Also:


Attachments
hylafax.4.3.0 (20.30 KB, text/plain)
2006-05-31 16:20 UTC, W.J.Zwart
no flags Details
hylafax.4.3.0.diff (4.21 KB, patch)
2006-06-06 20:16 UTC, W.J.Zwart
no flags Details | Diff
hylafax.4.3.0.diff (3.00 KB, patch)
2006-06-20 18:33 UTC, W.J.Zwart
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description W.J.Zwart 2006-05-31 16:20:15 UTC
This is a proposed update of the hylafax port to version 4.3.0

Fix: Below is the shar of the complete comms/hylafax dir; if diff's are more convenient please let me know and I will provide them.
Comment 1 W.J.Zwart 2006-05-31 16:35:46 UTC
Oops, forgot to update the README.html

here's the updated content:
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML 2.0//EN">

<html>
  <head>
    <title>The FreeBSD Ports Collection (comms/hylafax)</title>
  </head>

  <body>
    <h1>The FreeBSD Ports Collection (comms/hylafax)</h1>
    <hr>

    <p>You are now in the directory for the port "comms/hylafax".</p>

    <p>The package name of this port is "hylafax-4.3.0</p>

    <p>This is the one-line description for this port:</p>
    <hr>

    <p>
Fax software
    </p>
    <hr>

    <p>Please read the "<a href="pkg-descr">description file</a>" for a
    longer description and/or visit the <a
href="http://www.hylafax.org/">web
site</a> for futher informations.</p>

    <p>If needed, you may contact the <a href=
    "mailto:W.J.Zwart@NescioLudens.nl">maintainer</a> of this port or
the port <a href=
    "mailto:ports@FreeBSD.org">mailing-list</a>.</p>

    <p>This port requires package(s) "afm-1.0 jpeg-6b_1 tiff-3.5.7" to
build.</p>

    <p>This port requires package(s) "jpeg-6b_1 tiff-3.5.7" to run.</p>

    <p>Go to the <a href="../../README.html">top of the ports tree</a>
for
    a summary on how to use the ports collection.</p>
    <hr>

    <p><a href="../README.html">Go up one level</a> | <a href=
    "../../README.html">Go to top of ports tree</a></p>
  </body>
</html>
Comment 2 mnag freebsd_committer 2006-06-05 01:06:18 UTC
State Changed
From-To: open->feedback

Please, submmit diff -ruN patch. Thanks.
Comment 3 W.J.Zwart 2006-06-06 20:16:57 UTC
Hi

Please find attached the diff -ruN

Note: the patch does not apply cleanly on the Makefile, I guess
because too many lines are reshuffled (following the output of
portlint)
Please advice

Willem Jaap

Marcus Alves Grando wrote:
> Synopsis: port update comms/hylafax to 4.3.0
>
>
> State-Changed-From-To: open->feedback
> State-Changed-By: mnag
> State-Changed-When: Mon Jun 5 00:06:18 UTC 2006
> State-Changed-Why:
> Please, submmit diff -ruN patch. Thanks.
>
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=98222
>
>
Comment 4 W.J.Zwart 2006-06-20 18:33:46 UTC
Hi

I guess the previous patch was too complicated, so I've created a new
diff with just the minimal changes needed; please find it both in line
below and attached

Meanwhile users are asking for the release of this update. Please
advise on the best way forward

thanks

Willem Jaap

diff -ruN hylafax.4.2.5/Makefile hylafax/Makefile
--- hylafax.4.2.5/Makefile	Wed May 31 00:24:38 2006
+++ hylafax/Makefile	Tue Jun 20 19:27:00 2006
@@ -6,7 +6,7 @@
 #

 PORTNAME=	hylafax
-PORTVERSION=	4.2.5
+PORTVERSION=	4.3.0
 CATEGORIES=	comms
 MASTER_SITES=	ftp://ftp.hylafax.org/source/

diff -ruN hylafax.4.2.5/distinfo hylafax/distinfo
--- hylafax.4.2.5/distinfo	Sun May  7 14:40:10 2006
+++ hylafax/distinfo	Tue Jun 20 19:23:00 2006
@@ -1,3 +1,3 @@
-MD5 (hylafax/hylafax-4.2.5.tar.gz) = 5989c2638f79b178cbe935882cd58f3e
-SHA256 (hylafax/hylafax-4.2.5.tar.gz) =
0a5f7c52ee377fed60281d97681f50ae23062348e139f7fcc215957df9e69eb7
-SIZE (hylafax/hylafax-4.2.5.tar.gz) = 1450958
+MD5 (hylafax/hylafax-4.3.0.tar.gz) = 15fbb3eb5fdf6def379799442a68da4e
+SHA256 (hylafax/hylafax-4.3.0.tar.gz) =
a50512bfe6ae60573084dadfb5a629de78db30d19ac59ad6750bd621e138817c
+SIZE (hylafax/hylafax-4.3.0.tar.gz) = 1468136
diff -ruN hylafax.4.2.5/files/patch-Makefile hylafax/files/patch-Makefile
--- hylafax.4.2.5/files/patch-Makefile	Sat Feb 11 03:34:50 2006
+++ hylafax/files/patch-Makefile	Tue Jun 20 19:23:00 2006
@@ -1,14 +0,0 @@
---- Makefile.in.orig	Mon Apr 14 12:44:42 2003
-+++ Makefile.in	Sat Feb 11 12:00:16 2006
-@@ -233,10 +233,8 @@
- makeClientDirs::
- 	-${INSTALL} -u ${SYSUSER} -g ${SYSGROUP} -m ${DIRMODE} \
- 	    -idb hylafax.sw.client -dir \
--	    ${BIN} ${LIBDATA} ${LIBEXEC} ${SBIN}
-+	    ${LIBDATA}
- makeServerDirs::
--	-${INSTALL} -u ${SYSUSER} -g ${SYSGROUP} -m ${DIRMODE} \
--	    -idb hylafax.sw.server -dir ${SBIN};
- 	-${INSTALL} -u ${FAXUSER} -g ${FAXGROUP} -m ${DIRMODE} \
- 	    -idb hylafax.sw.server -dir ${SPOOL}
- 	-${INSTALL} -u ${FAXUSER} -g ${FAXGROUP} -m ${DIRMODE} \
diff -ruN hylafax.4.2.5/files/patch-configure
hylafax/files/patch-configure
--- hylafax.4.2.5/files/patch-configure	Sat Feb 11 03:34:50 2006
+++ hylafax/files/patch-configure	Tue Jun 20 19:23:00 2006
@@ -1,11 +0,0 @@
---- configure.orig	Mon Jan 30 23:31:09 2006
-+++ configure	Mon Jan 30 23:31:32 2006
-@@ -2418,7 +2418,7 @@
- 	if [ ${header_ver} -ge 19960307 ]; then
- 	    case ${lib_ver} in
- 		3.4)		tiff_runlen_t="uint16" ;;
--		3.[567])	tiff_runlen_t="uint32" ;;
-+		3.[5678])	tiff_runlen_t="uint32" ;;
- 	    esac
- 	fi
-     else
diff -ruN hylafax.4.2.5/files/pkg-message.in hylafax/files/pkg-message.in
--- hylafax.4.2.5/files/pkg-message.in	Fri Jan 14 23:28:10 2005
+++ hylafax/files/pkg-message.in	Tue Jun 20 19:23:00 2006
@@ -15,6 +15,8 @@

 >cuaa1	"%%PREFIX%%/sbin/faxgetty"	dialup	on secure

+Be sure to rerun %%PREFIX%%/sbin/faxsetup after updating your hylafax
version
+
 Documentation:
 	On Line Manuals: 	man hylafax-client
 				man hylafax-server
diff -ruN hylafax.4.2.5/pkg-descr hylafax/pkg-descr
--- hylafax.4.2.5/pkg-descr	Wed Feb  5 19:15:57 2003
+++ hylafax/pkg-descr	Tue Jun 20 19:23:00 2006
@@ -1,4 +1,4 @@
-(excerpt from HylaFAX FAQ, http://www.hylafax.org/HylaFAQ/Q001.html)
+(excerpt from HylaFAX FAQ, http://www.hylafax.org/content/About_HylaFAX)

      HylaFAX is a facsimile system for UNIX systems. It supports:
         o sending facsimile
Comment 5 mnag freebsd_committer 2006-06-24 16:30:26 UTC
Please, fix this two issues:

===>  Building package for hylafax-4.3.0
Creating package /tmp/packages/All/hylafax-4.3.0.tgz
Registering depends: gawk-3.1.1_1 gettext-0.14.5_2 expat-2.0.0_1
tiff-3.8.2 libiconv-1.9.2_2 jpeg-6b_4.
Creating gzip'd tar ball in '/tmp/packages/All/hylafax-4.3.0.tgz'
Deleting hylafax-4.3.0
pkg_delete: unable to completely remove directory '/var/spool/hylafax/bin'
pkg_delete: unable to completely remove directory
'/var/spool/hylafax/config'
If you are permanently removing this port, you should do a ''rm -rf
/var/spool/hylafax'' to remove any binary, configuration and log
files left.
-----------------
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
================================================================

=== Checking filesystem state
list of filesystem changes from before and after port installation and
deinstallation
usr/local/bin changed
	user expected 0 found 3
	gid expected 0 found 7
usr/local/sbin changed
	user expected 0 found 3
	gid expected 0 found 7

Regards

-- 
Marcus Alves Grando
marcus(at)corp.grupos.com.br  |  Grupos Internet S/A
  mnag(at)FreeBSD.org         |  FreeBSD.org
Comment 6 pav freebsd_committer 2006-10-07 14:37:48 UTC
State Changed
From-To: feedback->closed

Committed with modifications.
Comment 7 dfilter freebsd_committer 2006-10-07 14:37:52 UTC
pav         2006-10-07 13:37:40 UTC

  FreeBSD ports repository

  Modified files:
    comms/hylafax        Makefile distinfo pkg-descr 
    comms/hylafax/files  pkg-message.in 
  Removed files:
    comms/hylafax/files  patch-configure 
  Log:
  - Update to 4.3.0
  
  PR:             ports/98222
  Submitted by:   <W.J.Zwart@NescioLudens.nl> (maintainer)
  
  Revision  Changes    Path
  1.81      +3 -3      ports/comms/hylafax/Makefile
  1.22      +3 -3      ports/comms/hylafax/distinfo
  1.9       +0 -11     ports/comms/hylafax/files/patch-configure (dead)
  1.2       +2 -0      ports/comms/hylafax/files/pkg-message.in
  1.7       +1 -1      ports/comms/hylafax/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"